Subject: bug#65183: 29.1; Child frame moving and resizing problems

From: 陈宇迪 <[email-masked]>
Date: Fri, 11 Aug 2023 17:09:29 +0100

I tried `(setq x-wait-for-event-timeout 0)' and ran the test function.
It was the same.

By the way, I noticed that (though I believe you have read it),
the GTK doc says "(gdk_window_move_resize) avoids strange visual effects.
i.e. the user may be able to see the window first move, then resize,
if you don’t use gdk_window_move_resize().". That is exactly what I saw.

martin rudalics <[email-masked]> 于2023年8月11日周五 11:00写道：

>  > It seems that variables `x-gtk-resize-child-frames' and
>  > `x-gtk-use-window-move' do not help with this.
>
> As expected.
>
>  > I am using KDE with KWin (X11) version 5.27.7. I don't know where there
> is
>  > any known issue on this platform.
>
> AFAICT KDE does not have any such problems.
>
>  >>From another perspective, is there a way to perform resize and move at
> the
>  > same time?
>
> We could try gdk_window_move_resize but we'd have to (1) investigate
> whether it works well for child frames and (2) what to do on non-GTK
> platforms.
>
>  > (I mean, could the two steps be executed within a single redisplay
> cycle,
>  > so that users would not see the intermediate changes?)
>  > If these two steps are not done separately, the execution order would
> not
>  > matter.
>  > As I wrote in my first email, I can see the child frame being moved and
>  > then resized
>  > on my computer, even though the two steps happen very quickly.
>
> What happens when you change 'x-wait-for-event-timeout' to zero?
>
> martin
>